# spec file for package acme-dns
#

Name:           	acme-dns
Version:        	0.8
%define pkg_version 	%{version}
%define release 	2
%define debug_package	%{nil}
Release: 		%{release}%{?dist}
Summary:        	Limited DNS server with RESTful HTTP API to handle ACME DNS challenges easily and securely
License:        	MIT
Group:          	System Environment/Daemons
Url:            	https://github.com/joohoi/acme-dns
Source0:        	v%{pkg_version}.tar.gz
Patch:				acme-dns.service.patch
BuildRoot:      	%{_tmppath}/%{name}-%{version}-build
#BuildArch:      	x86_64
BuildRequires:  	golang
Requires(pre):		shadow-utils

%description
Many DNS servers do not provide an API to enable automation for the ACME 
DNS challenges. Those which do, give the keys way too much power. 
Leaving the keys laying around your random boxes is too often a 
requirement to have a meaningful process automation.

Acme-dns provides a simple API exclusively for TXT record updates and 
should be used with ACME magic "_acme-challenge" - subdomain CNAME 
records. This way, in the unfortunate exposure of API keys, the effects 
are limited to the subdomain TXT record in question.

%prep
%setup -c -q -n "acme-dns-%{pkg_version}"
mv %{_builddir}/acme-dns-%{pkg_version}/acme-dns-%{pkg_version}/* %{_builddir}/acme-dns-%{pkg_version}/
%patch

%build
%ifarch aarch64
env GOOS=linux GOARCH=arm64 go build -v -o acme-dns
%endif
%ifarch x86_64
go build -v -o acme-dns
%endif

%pre
getent group acme-dns >/dev/null || groupadd -r acme-dns
getent passwd acme-dns >/dev/null || useradd -r -g acme-dns -d /var/lib/acme-dns -s /sbin/nologin -c "acme-dns Account" acme-dns
mkdir -p /var/lib/acme-dns
chown acme-dns:acme-dns /var/lib/acme-dns
if [ "$1" = "2" ]; then
  chown acme-dns:acme-dns /etc/acme-dns/acme-dns.db
fi

%install
install -D -m0644 config.cfg "%{buildroot}/etc/acme-dns/config.cfg"
install -D -m0755 acme-dns "%{buildroot}%{_usr}/local/bin/acme-dns"
install -D -m0644 acme-dns.service "%{buildroot}/etc/systemd/system/acme-dns.service"

%files
%defattr(-,root,root)
%doc LICENSE README.md
%attr(775,root,acme-dns) /etc/acme-dns
%config(noreplace) /etc/acme-dns/config.cfg
/usr/local/bin/acme-dns
/etc/systemd/system/acme-dns.service

%changelog
* Wed Jun 23 2021 Dan Brown <dan@familybrown.org> - 0.8-2ns7
- Build for aarch64 and x86_64

* Mon Oct 21 2019 Dan Brown <dan@familybrown.org> - 0.8-1ns7
- Update to acme-dns 0.8

* Thu Mar 21 2019 Dan Brown <dan@familybrown.org> - 0.7.2-2ns7
- Build from sources rather than binary tarball
- Run as acme-dns user rather than root

* Wed Mar  6 2019 Dan Brown <dan@familybrown.org> - 0.7.2-1.el7
- Update to acme-dns 0.7.2

* Sat Nov  3 2018 Dan Brown <dan@familybrown.org> - 0.6-1.el7
- Update to acme-dns 0.6

* Sun Jun 17 2018 Dan Brown <dan@familybrown.org> - 0.4-2.el7
- Fix service config file

* Mon Jun 11 2018 dan@familybrown.org 0.4-1
- Initial release

